Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.netobjects
Class FieldValueHashTable

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              scone.netobjects.FieldValueHashTable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class FieldValueHashTable

extends java.util.Hashtable

holds the values of a TableRecord object.
This is a Hashtable which notifies a TableRecord object when it has been changed.

See Also:
  Serialized Form

Constructor Summary
`FieldValueHashTable(TableRecord set)` creates a new FieldValueHashTable object

Method Summary
`java.lang.String` | `get(java.lang.String name)` returns the value of the specified field
`void` | `put(java.lang.String name, java.lang.Object value)` sets a field to the specified value and notifies the DBset object value must be a String!
`void` | `put(java.lang.String name, java.lang.String value)` sets a field to the specified value and notifies the DBset object

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldValueHashTable

    public FieldValueHashTable(TableRecord set)

  creates a new FieldValueHashTable object

  Parameters:
    `set` - the TableRecord which will be notified if any changes occur

Method Detail

### put

    public void put(java.lang.String name,
                    java.lang.Object value)

  sets a field to the specified value and notifies the DBset object value must be a String!

  Parameters:
    `name` - the name of the field
    `value` - the value

### put

    public void put(java.lang.String name,
                    java.lang.String value)

  sets a field to the specified value and notifies the DBset object

  Parameters:
    `name` - the name of the field
    `value` - the value

### get

    public java.lang.String get(java.lang.String name)

  returns the value of the specified field

  Parameters:
    `name` - the name of the field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD